kbeqn2(1)

Name
kbeqn2 - produce a finite set of Knuth-Bendix equations and word reduction finite state automaton. This is an extension of kbeqn. Please see seperate manual entry for kbeqn.

Syntax

    kbeqn2 [-t tidyint] [-h maxeqns maxstates maxtime] [-lex] [-rec] [-o] [groupname]

Options

-lex
    Use Lexicographical ordering This is the original ordering used in kbeqn. The ordering is lexicographic, with longer words having higher order than shorter words. This is the default ordering used.

-rec
    Use Recursive Path ordering Ordering based on that described in "Confluent String Rewriting" (Mathias Jantzen), Defn 1.2.14, page 24.

Other Options
    As described in the kbeqn manual entry.

New Capabilities
The shuffling procedure has been altered slightly to take into consideration orderings which may replace a shorter segment by a longer one. If the program is interrupted (^C), it will output and stop after the next tidying-up operation. For some systems, this may take a long time to occur (or may never occur). If another interrupt is made any time after the first, the program will stop and output the rewritng system so far devised.

See also
cfsa(1) kbeqn(1)

Author
This is basically a hack of Derek's code (from kbeqn ) with Jamie's modifications! The code is pretty awful, but I can't be blamed for this one as I cut and pasted other people's. Jamie P. Curmi (17/8/94) for the Computational Tools for Homolgy of Groups Project